Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.util.xml
Interface FileSyntax

All Superinterfaces:
  Loader, Saver

All Known Implementing Classes:
  AbstractFileSyntax, FileSyntax.RDFFiles, FileSyntax.XMLFiles, Ip2XMLConfig.ChecklistFiles, Ip2XMLConfig.HtmlFiles, Ip2XMLConfig.InitFiles, Ip2XMLConfig.LPADFiles, Ip2XMLConfig.LTFFiles, Ip2XMLConfig.OwlSFiles, Ip2XMLConfig.TextFiles, Ip2XMLConfig.TFFiles

    public interface FileSyntax

extends Loader, Saver

Reads and writes object representations.

Nested Class Summary
`static class` | `FileSyntax.RDFFiles` RDF file syntax.
`static class` | `FileSyntax.XMLFiles` XML file syntax

Method Summary
`boolean` | `canRead()` Is reading supported?
`boolean` | `canWrite()` Is writing supported?
`java.lang.String` | `getFileTypeDescription()` Returns a short description of the type of files understood by this FileSyntax.
`java.util.List` | `getFileTypes()` Returns a set of strings representing file types / extensions.
`boolean` | `isAvailable()` Indicates whether this syntax can be used.
`java.util.List` | `readableClasses()` The classes whose instances can be read in.
`java.util.List` | `writableClasses()` The classes whose instances can be written out.

Methods inherited from interface ix.util.xml.Loader
`readObject`

Methods inherited from interface ix.util.xml.Saver
`writeObject`

Method Detail

### getFileTypes

    java.util.List getFileTypes()

  Returns a set of strings representing file types / extensions.

### getFileTypeDescription

    java.lang.String getFileTypeDescription()

  Returns a short description of the type of files understood by this FileSyntax. The result should be a plural phrase such as "XML files" or "domain descriptions".

### isAvailable

    boolean isAvailable()

  Indicates whether this syntax can be used. Some syntaxes rely on classes that are not always present in the class-path.

### canRead

    boolean canRead()

  Is reading supported?

### canWrite

    boolean canWrite()

  Is writing supported?

### readableClasses

    java.util.List readableClasses()

  The classes whose instances can be read in. General-purpose syntaxes can read (at least) instances of every class that has a `ClassSyntax`. They can return a list containing only Object.class.

### writableClasses

    java.util.List writableClasses()

  The classes whose instances can be written out. General-purpose syntaxes can write (at least) instances of every class that has a `ClassSyntax`. They can return a list containing only Object.class.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD